For the complete documentation index, see llms.txt. This page is also available as Markdown.

Devices

This endpoint allows you to fetch data about the Devices of your Team Members.

Fetch All Devices

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
Responseobject
get/api/v1/devices
GET /api/v1/devices HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

[
  {
    "id": "d4526152-e565-33c1-9ce0-2656ec55f7d1",
    "created_at": "2024-03-11 16:52:42",
    "status": "approved",
    "name": "company_device",
    "hostname": "company_device",
    "alias": null,
    "operating_system_version": "11",
    "operating_system_version_build": null,
    "operating_system": "Android",
    "app_version": "4.4.1",
    "is_lock_screen_enabled": 1,
    "is_rooted": 0,
    "is_debug_mode_enabled": 0,
    "is_device_emulator": 0,
    "is_biometrics_enabled": 1,
    "is_enclave": 0,
    "is_os_outdated": 0,
    "members": [
      {
        "id": "user-123456",
        "created_at": "2023-11-22 12:51:33",
        "last_poster_check": {
          "timestamp": "2024-10-06 14:51:32",
          "is_successful": 1
        },
        "avatar": "https://example.com/resources/avatars/user.png",
        "name": "user_name",
        "username": "user_account",
        "is_user_blocked": false,
        "is_mfa_active": true,
        "is_connected": true
      }
    ]
  }
]

Fetch Device by its ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
systemIdstringRequired

ID of system

Responses
200

OK

application/json
Responseobject
get/api/v1/device/{deviceId}
GET /api/v1/device/{deviceId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "d4526152-e565-33c1-9ce0-2656ec55f7d1",
  "created_at": "2024-03-11 16:52:42",
  "status": "approved",
  "name": "company_device",
  "hostname": "company_device",
  "alias": null,
  "operating_system_version": "11",
  "operating_system_version_build": null,
  "operating_system": "Android",
  "app_version": "4.4.1",
  "is_lock_screen_enabled": 1,
  "is_rooted": 0,
  "is_debug_mode_enabled": 0,
  "is_device_emulator": 0,
  "is_biometrics_enabled": 1,
  "is_enclave": 0,
  "is_os_outdated": 0,
  "members": [
    {
      "id": "user-123456",
      "created_at": "2023-11-22 12:51:33",
      "last_poster_check": {
        "timestamp": "2024-10-06 14:51:32",
        "is_successful": 1
      },
      "avatar": "https://example.com/resources/avatars/user.png",
      "name": "user_name",
      "username": "user_account",
      "is_user_blocked": false,
      "is_mfa_active": true,
      "is_connected": true
    }
  ]
}

Update Device by its ID

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
objectOptionalExample: {"is_blocked":true}
Responses
200

OK

application/json
Responseobject
put/api/v1/device/{deviceId}
PUT /api/v1/device/{deviceId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "is_blocked": true
}
{
  "status": 200,
  "message": "Device updated successfully"
}

Remove Device by its ID

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
delete/api/v1/device/{deviceId}
DELETE /api/v1/device/{deviceId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?